#
#  Script for building PCC2 Windows (32-bit) package
#
#  Check out
#    + pdk
#    + pcc-v2
#      + cpluslib
#    + SDL_image
#    + SDL
#    + zlib
#  'cd' to pcc-v2 directory and invoke
#    bash scripts/build_dist_linux.sh
#
#  Find complete packages in pcc-v2/installer.
#

set -e

# Configure
cp arch/win32-mingw/acdefs.h .

cat >acdefs.mak <<EOF
# Options for MINGW on my computer
AC_CXXFLAGS = -DWIN32 -O -I../SDL-1.2.14/Include/SDL -I../SDL_image-1.2.10/Include -I../zlib/include -I../pdk
AC_LIBS = ../SDL-1.2.14/lib/libSDL.dll.a ../SDL_image-1.2.10/lib/SDL_image.dll ../zlib/lib/zdll.lib -luser32 -lkernel32 -lgdi32
AC_LDFLAGS = -L../pdk

# Programs
AR = ar
CC = c:/u/mingw2005/bin/gcc
CXX = c:/u/mingw2005/bin/g++
RANLIB = c:/u/mingw2005/bin/ranlib
STRIP = c:/u/mingw2005/bin/strip
PERL = perl
HAVE_SDL = yes
HAVE_PDK = no

# This assumes a Unix-style 'rm' program is present:
RM = rm -f
EOF

echo '#include "arch/win32-bcc55/platform.h"' > arch/platform.h

# Build PDK
make -C ../pdk CC="/dos/c/u/mingw2005/bin/gcc -Wall -O3 -I. -g"

# Build
make -f Makefile.min

# Build the package
make -C installer PCC2-installer.exe

rm -rf installer/testdir
rm -f installer/pcc2-win32.zip
(cd installer && perl prepare2.pl install testdir)
(cd installer/testdir && zip -rp9 ../pcc2-win32.zip *)
