/**
  *  \file ui/keystring.cc
  *  \brief UIKeyString utility class
  *
  *  (c) 2001-2017 Stefan Reuther <Streu@gmx.de>
  *
  *  This program is free software; you can redistribute it and/or
  *  modify it under the terms of file `COPYING' that comes with the
  *  source code.
  *
  *  This program is distributed in the hope that it will be useful,
  *  but WITHOUT ANY WARRANTY; without even the implied warranty of
  *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
  */

#include "ui/keystring.h"
#include <cctype>

static uint32_t
keyFromChar(char c)
{
    /* Only sensible ASCII characters */
    using namespace std;
    uint8_t k = tolower((unsigned char) c);
    if (k > ' ' && k < 127)
        return k;
    else
        return 0;
}

UIKeyString::UIKeyString(const char* s)
    : k(keyFromChar(s[0])), s(s)
{ }

UIKeyString::UIKeyString(const string_t& s)
    : k(keyFromChar(s[0])), s(s)
{ }

UIKeyString::~UIKeyString()
{ }

